Bug 6711 - trusts to windows 2008 (2008 r2) not working
trusts to windows 2008 (2008 r2) not working
Status: RESOLVED FIXED
Product: Samba 3.4
Classification: Unclassified
Component: Domain Control
3.4.0
Other Windows 2008
: P3 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-11 07:27 UTC by Guenther Deschner
Modified: 2009-10-15 05:48 UTC (History)
3 users (show)

See Also:
metze: review+


Attachments
patch for 3.4 (55.15 KB, patch)
2009-09-23 04:43 UTC, Guenther Deschner
vl: review+
Details
additional patch for 3.4 (1022 bytes, patch)
2009-09-24 00:17 UTC, Stefan Metzmacher
gd: review+
Details
more fixes for v3-4 (5.46 KB, patch)
2009-09-25 13:02 UTC, Stefan Metzmacher
gd: review+
vl: review+
Details
patch for 3.3 (52.54 KB, patch)
2009-10-05 11:27 UTC, Guenther Deschner
no flags Details
revised version of that patch for 3.3 (54.01 KB, patch)
2009-10-06 04:18 UTC, Guenther Deschner
metze: review+
Details
two from metzes fixes for 3-3-teset (2.16 KB, patch)
2009-10-07 10:25 UTC, Guenther Deschner
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Guenther Deschner 2009-09-11 07:27:22 UTC
winbind on pdc with interdomain trusts to w2k8 cannot access lsa lookup calls on either an anonymous, ntlmssp/spnego or schannel authenticated connection.

the only way to sucessfully do any lsa lookup call in this case is via an schanneld ncacn_ip_tcp connection and calls to lsa_LookupNames4 and lsa_LookupSids3.
Comment 1 Guenther Deschner 2009-09-22 09:54:03 UTC
A Fix for this has been pushed to master. Now trying to collect a patchset for 3.4 and 3.3 (no chance to get this working for 3.2 due to missing ncacn_ip_tcp support).
Comment 2 Guenther Deschner 2009-09-23 04:43:11 UTC
Created attachment 4731 [details]
patch for 3.4

Ok, here is a patch for 3.4.

It is quite large, I know, but this is already the minimal amount of fixes we need and I cannot think of a simpler way to solve this.
Comment 3 Stefan Metzmacher 2009-09-24 00:17:35 UTC
Created attachment 4734 [details]
additional patch for 3.4

One additional fix, we fail to marshal the LogonSamLogon response
because we used an already free'ed buffer.

metze
Comment 4 Stefan Metzmacher 2009-09-24 00:20:19 UTC
we need the patches from gd and my little fix

metze
Comment 5 Stefan Metzmacher 2009-09-24 02:24:56 UTC
I sometimes getting this:

(gdb) bt
#0  0x00007f34af0f74a5 in waitpid () from /lib/libc.so.6
#1  0x00007f34af098461 in do_system () from /lib/libc.so.6
#2  0x00007f34b175e37e in smb_panic (why=0x7f34b1c6d4d0 "internal error") at lib/util.c:1486
#3  0x00007f34b1744503 in fault_report (sig=11) at lib/fault.c:52
#4  0x00007f34b1744516 in sig_fault (sig=11) at lib/fault.c:75
#5  <signal handler called>
#6  0x00007f34b18ca4c6 in rpc_pipe_np_smb_conn (p=0x0) at rpc_client/rpc_transport_np.c:402
#7  0x00007f34b18c663c in rpccli_set_timeout (rpc_cli=0x0, timeout=35000) at rpc_client/cli_pipe.c:2955
#8  0x00007f34b1677ce5 in winbindd_lookup_names (mem_ctx=0x7f34b20e9c80, domain=0x7f34b2070f30, num_names=1, names=0x7fffb9dd4ea8, domains=0x0, sids=0x7fffb9dd4eb8,
    types=0x7fffb9dd4eb0) at winbindd/winbindd_rpc.c:1287
#9  0x00007f34b1674af2 in msrpc_name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, original_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_rpc.c:311
#10 0x00007f34b16781a1 in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_reconnect.c:94
#11 0x00007f34b167a5db in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_ads.c:413
#12 0x00007f34b165121e in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_cache.c:1655
#13 0x00007f34b1649584 in winbindd_lookup_sid_by_name (mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain=0x7f34b2070f30, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_util.c:1035
#14 0x00007f34b168806e in winbindd_dual_lookupname (domain=0x7f34b2070f30, state=0x7fffb9dd5510) at winbindd/winbindd_async.c:445
#15 0x00007f34b1682794 in child_process_request (child=0x7f34b20714b8, state=0x7fffb9dd5510) at winbindd/winbindd_dual.c:453
#16 0x00007f34b16862ba in fork_domain_child (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:1456
#17 0x00007f34b1682271 in schedule_async_request (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:314
#18 0x00007f34b1681a1b in async_request (mem_ctx=0x7f34b2054da0, child=0x7f34b20714b8, request=0x7f34b209d890, response=0x7f34b209e120,
    continuation=0x7f34b16487d2 <init_child_recv>, private_data=0x7f34b2023b30) at winbindd/winbindd_dual.c:145
#19 0x00007f34b16485c7 in init_child_connection (domain=0x7f34b2070f30, continuation=0x7f34b168245d <domain_init_recv>, private_data=0x7f34b202bcf0)
    at winbindd/winbindd_util.c:627
#20 0x00007f34b168245b in async_domain_request (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7f34b209c248, response=0x7f34b209ca78,
    continuation=0x7f34b16866c2 <do_async_recv>, private_data_data=0x7f34b209c240) at winbindd/winbindd_dual.c:378
#21 0x00007f34b1686a35 in do_async_domain (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7fffb9dd6db0, cont=0x7f34b16880b6 <listent_recv>, c=0x7f34b1668603,
    private_data=0x7f34b2065970) at winbindd/winbindd_async.c:110
#22 0x00007f34b16882b4 in winbindd_listent_async (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, cont=0x7f34b1668603 <listent_recv>, private_data=0x7f34b2065970,
    type=LIST_USERS) at winbindd/winbindd_async.c:491
#23 0x00007f34b16685eb in winbindd_list_ent (state=0x7f34b2096840, type=LIST_USERS) at winbindd/winbindd_misc.c:174
#24 0x00007f34b163eecf in winbindd_list_users (state=0x7f34b2096840) at winbindd/winbindd_user.c:873
#25 0x00007f34b1638e27 in process_request (state=0x7f34b2096840) at winbindd/winbindd.c:538
#26 0x00007f34b1639db8 in request_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:811
#27 0x00007f34b1639b69 in request_main_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:772
#28 0x00007f34b16393b5 in rw_callback (event=0x7f34b2096858, flags=1) at winbindd/winbindd.c:621
#29 0x00007f34b163a92e in process_loop () at winbindd/winbindd.c:1103
#30 0x00007f34b163b749 in main (argc=2, argv=0x7fffb9dd7c08, envp=0x7fffb9dd7c20) at winbindd/winbindd.c:1426
(gdb) up 8
#8  0x00007f34b1677ce5 in winbindd_lookup_names (mem_ctx=0x7f34b20e9c80, domain=0x7f34b2070f30, num_names=1, names=0x7fffb9dd4ea8, domains=0x0, sids=0x7fffb9dd4eb8,
    types=0x7fffb9dd4eb0) at winbindd/winbindd_rpc.c:1287
1287            orig_timeout = rpccli_set_timeout(cli, 35000);
(gdb) info locals
status = {v = 0}
cli = (struct rpc_pipe_client *) 0x0
lsa_policy = {handle_type = 3118288384, uuid = {time_low = 32767, time_mid = 10923, time_hi_and_version = 45583, clock_seq = "\000", node = "\000\000z\000\000�"}}
orig_timeout = 32564
lookup_names_fn = (lookup_names_fn_t) 0x7f34b18baa40 <rpccli_lsa_lookup_names4>
(gdb) p domain
$1 = (struct winbindd_domain *) 0x7f34b2070f30
(gdb) p *domain
$2 = {name = "W2K8SP2-L3\000", '�' <repeats 245 times>, alt_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>,
  forest_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>, sid = {sid_rev_num = 1 '\001', num_auths = 4 '\004', id_auth = "\000\000\000\000\000\005",
    sub_auths = {21, 4163095389, 2865481994, 3098529818, 0 <repeats 11 times>}}, domain_flags = 4, domain_type = 0, domain_trust_attribs = 0, initialized = true,
  native_mode = true, active_directory = true, primary = false, internal = false, online = true, startup_time = 1253774750, startup = false, can_do_samlogon_ex = true,
  can_do_ncacn_ip_tcp = true, methods = 0x7f34b1feb640, backend = 0x7f34b1feb800, private_data = 0x7f34b20ef540, have_idmap_config = false, id_range_low = 0,
  id_range_high = 0, dc_probe_pid = -1, dcname = "W2K8SP2-215.w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 218 times>, dcaddr = {ss_family = 2, __ss_align = 0,
    __ss_padding = '\0' <repeats 111 times>}, last_seq_check = 1253775182, sequence_number = 22383, last_status = {v = 0}, conn = {cli = 0x7f34b20eabc0, samr_pipe = 0x0,
    sam_connect_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    sam_domain_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}}, lsa_pipe = 0x0,
    lsa_pipe_tcp = 0x0, lsa_policy = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    netlogon_pipe = 0x0}, child = {next = 0x0, prev = 0x0, pid = 0, domain = 0x7f34b2070f30,
    logfilename = 0x7f34b1ff6040 "/home/metze/devel/prefix/samba3/var/log/samba/log.wb-W2K8SP2-L3", event = {next = 0x0, prev = 0x0, fd = 0, flags = 0, handler = 0,
      data = 0x0, length = 0, done = 0, finished = 0, private_data = 0x0}, lockout_policy_event = 0x7f34b2072e00, machine_password_change_event = 0x0,
    requests = 0x7f34b2013170, table = 0x7f34b1fdfc40}, check_online_timeout = 0, check_online_event = 0x0, prev = 0x7f34b2075360, next = 0x0}
(gdb)
$3 = {name = "W2K8SP2-L3\000", '�' <repeats 245 times>, alt_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>,
  forest_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>, sid = {sid_rev_num = 1 '\001', num_auths = 4 '\004', id_auth = "\000\000\000\000\000\005",
    sub_auths = {21, 4163095389, 2865481994, 3098529818, 0 <repeats 11 times>}}, domain_flags = 4, domain_type = 0, domain_trust_attribs = 0, initialized = true,
  native_mode = true, active_directory = true, primary = false, internal = false, online = true, startup_time = 1253774750, startup = false, can_do_samlogon_ex = true,
  can_do_ncacn_ip_tcp = true, methods = 0x7f34b1feb640, backend = 0x7f34b1feb800, private_data = 0x7f34b20ef540, have_idmap_config = false, id_range_low = 0,
  id_range_high = 0, dc_probe_pid = -1, dcname = "W2K8SP2-215.w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 218 times>, dcaddr = {ss_family = 2, __ss_align = 0,
    __ss_padding = '\0' <repeats 111 times>}, last_seq_check = 1253775182, sequence_number = 22383, last_status = {v = 0}, conn = {cli = 0x7f34b20eabc0, samr_pipe = 0x0,
    sam_connect_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    sam_domain_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}}, lsa_pipe = 0x0,
    lsa_pipe_tcp = 0x0, lsa_policy = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    netlogon_pipe = 0x0}, child = {next = 0x0, prev = 0x0, pid = 0, domain = 0x7f34b2070f30,
    logfilename = 0x7f34b1ff6040 "/home/metze/devel/prefix/samba3/var/log/samba/log.wb-W2K8SP2-L3", event = {next = 0x0, prev = 0x0, fd = 0, flags = 0, handler = 0,
      data = 0x0, length = 0, done = 0, finished = 0, private_data = 0x0}, lockout_policy_event = 0x7f34b2072e00, machine_password_change_event = 0x0,
    requests = 0x7f34b2013170, table = 0x7f34b1fdfc40}, check_online_timeout = 0, check_online_event = 0x0, prev = 0x7f34b2075360, next = 0x0}
(gdb) bt
#0  0x00007f34af0f74a5 in waitpid () from /lib/libc.so.6
#1  0x00007f34af098461 in do_system () from /lib/libc.so.6
#2  0x00007f34b175e37e in smb_panic (why=0x7f34b1c6d4d0 "internal error") at lib/util.c:1486
#3  0x00007f34b1744503 in fault_report (sig=11) at lib/fault.c:52
#4  0x00007f34b1744516 in sig_fault (sig=11) at lib/fault.c:75
#5  <signal handler called>
#6  0x00007f34b18ca4c6 in rpc_pipe_np_smb_conn (p=0x0) at rpc_client/rpc_transport_np.c:402
#7  0x00007f34b18c663c in rpccli_set_timeout (rpc_cli=0x0, timeout=35000) at rpc_client/cli_pipe.c:2955
#8  0x00007f34b1677ce5 in winbindd_lookup_names (mem_ctx=0x7f34b20e9c80, domain=0x7f34b2070f30, num_names=1, names=0x7fffb9dd4ea8, domains=0x0, sids=0x7fffb9dd4eb8,
    types=0x7fffb9dd4eb0) at winbindd/winbindd_rpc.c:1287
#9  0x00007f34b1674af2 in msrpc_name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, original_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_rpc.c:311
#10 0x00007f34b16781a1 in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_reconnect.c:94
#11 0x00007f34b167a5db in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_ads.c:413
#12 0x00007f34b165121e in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_cache.c:1655
#13 0x00007f34b1649584 in winbindd_lookup_sid_by_name (mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain=0x7f34b2070f30, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_util.c:1035
#14 0x00007f34b168806e in winbindd_dual_lookupname (domain=0x7f34b2070f30, state=0x7fffb9dd5510) at winbindd/winbindd_async.c:445
#15 0x00007f34b1682794 in child_process_request (child=0x7f34b20714b8, state=0x7fffb9dd5510) at winbindd/winbindd_dual.c:453
#16 0x00007f34b16862ba in fork_domain_child (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:1456
#17 0x00007f34b1682271 in schedule_async_request (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:314
#18 0x00007f34b1681a1b in async_request (mem_ctx=0x7f34b2054da0, child=0x7f34b20714b8, request=0x7f34b209d890, response=0x7f34b209e120,
    continuation=0x7f34b16487d2 <init_child_recv>, private_data=0x7f34b2023b30) at winbindd/winbindd_dual.c:145
#19 0x00007f34b16485c7 in init_child_connection (domain=0x7f34b2070f30, continuation=0x7f34b168245d <domain_init_recv>, private_data=0x7f34b202bcf0)
    at winbindd/winbindd_util.c:627
#20 0x00007f34b168245b in async_domain_request (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7f34b209c248, response=0x7f34b209ca78,
    continuation=0x7f34b16866c2 <do_async_recv>, private_data_data=0x7f34b209c240) at winbindd/winbindd_dual.c:378
#21 0x00007f34b1686a35 in do_async_domain (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7fffb9dd6db0, cont=0x7f34b16880b6 <listent_recv>, c=0x7f34b1668603,
    private_data=0x7f34b2065970) at winbindd/winbindd_async.c:110
#22 0x00007f34b16882b4 in winbindd_listent_async (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, cont=0x7f34b1668603 <listent_recv>, private_data=0x7f34b2065970,
    type=LIST_USERS) at winbindd/winbindd_async.c:491
#23 0x00007f34b16685eb in winbindd_list_ent (state=0x7f34b2096840, type=LIST_USERS) at winbindd/winbindd_misc.c:174
#24 0x00007f34b163eecf in winbindd_list_users (state=0x7f34b2096840) at winbindd/winbindd_user.c:873
#25 0x00007f34b1638e27 in process_request (state=0x7f34b2096840) at winbindd/winbindd.c:538
#26 0x00007f34b1639db8 in request_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:811
#27 0x00007f34b1639b69 in request_main_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:772
#28 0x00007f34b16393b5 in rw_callback (event=0x7f34b2096858, flags=1) at winbindd/winbindd.c:621
#29 0x00007f34b163a92e in process_loop () at winbindd/winbindd.c:1103
#30 0x00007f34b163b749 in main (argc=2, argv=0x7fffb9dd7c08, envp=0x7fffb9dd7c20) at winbindd/winbindd.c:1426
(gdb) up 1
#9  0x00007f34b1674af2 in msrpc_name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, original_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_rpc.c:311
311             result = winbindd_lookup_names(mem_ctx, domain, 1,
(gdb) p *domain
$4 = {name = "W2K8SP2-L3\000", '�' <repeats 245 times>, alt_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>,
  forest_name = "w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 230 times>, sid = {sid_rev_num = 1 '\001', num_auths = 4 '\004', id_auth = "\000\000\000\000\000\005",
    sub_auths = {21, 4163095389, 2865481994, 3098529818, 0 <repeats 11 times>}}, domain_flags = 4, domain_type = 0, domain_trust_attribs = 0, initialized = true,
  native_mode = true, active_directory = true, primary = false, internal = false, online = true, startup_time = 1253774750, startup = false, can_do_samlogon_ex = true,
  can_do_ncacn_ip_tcp = true, methods = 0x7f34b1feb640, backend = 0x7f34b1feb800, private_data = 0x7f34b20ef540, have_idmap_config = false, id_range_low = 0,
  id_range_high = 0, dc_probe_pid = -1, dcname = "W2K8SP2-215.w2k8sp2-l3.vmnet9.vm.base\000", '�' <repeats 218 times>, dcaddr = {ss_family = 2, __ss_align = 0,
    __ss_padding = '\0' <repeats 111 times>}, last_seq_check = 1253775182, sequence_number = 22383, last_status = {v = 0}, conn = {cli = 0x7f34b20eabc0, samr_pipe = 0x0,
    sam_connect_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    sam_domain_handle = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}}, lsa_pipe = 0x0,
    lsa_pipe_tcp = 0x0, lsa_policy = {handle_type = 0, uuid = {time_low = 0, time_mid = 0, time_hi_and_version = 0, clock_seq = "\000", node = "\000\000\000\000\000"}},
    netlogon_pipe = 0x0}, child = {next = 0x0, prev = 0x0, pid = 0, domain = 0x7f34b2070f30,
    logfilename = 0x7f34b1ff6040 "/home/metze/devel/prefix/samba3/var/log/samba/log.wb-W2K8SP2-L3", event = {next = 0x0, prev = 0x0, fd = 0, flags = 0, handler = 0,
      data = 0x0, length = 0, done = 0, finished = 0, private_data = 0x0}, lockout_policy_event = 0x7f34b2072e00, machine_password_change_event = 0x0,
    requests = 0x7f34b2013170, table = 0x7f34b1fdfc40}, check_online_timeout = 0, check_online_event = 0x0, prev = 0x7f34b2075360, next = 0x0}
(gdb) down
#8  0x00007f34b1677ce5 in winbindd_lookup_names (mem_ctx=0x7f34b20e9c80, domain=0x7f34b2070f30, num_names=1, names=0x7fffb9dd4ea8, domains=0x0, sids=0x7fffb9dd4eb8,
    types=0x7fffb9dd4eb0) at winbindd/winbindd_rpc.c:1287
1287            orig_timeout = rpccli_set_timeout(cli, 35000);
(gdb) bt
#0  0x00007f34af0f74a5 in waitpid () from /lib/libc.so.6
#1  0x00007f34af098461 in do_system () from /lib/libc.so.6
#2  0x00007f34b175e37e in smb_panic (why=0x7f34b1c6d4d0 "internal error") at lib/util.c:1486
#3  0x00007f34b1744503 in fault_report (sig=11) at lib/fault.c:52
#4  0x00007f34b1744516 in sig_fault (sig=11) at lib/fault.c:75
#5  <signal handler called>
#6  0x00007f34b18ca4c6 in rpc_pipe_np_smb_conn (p=0x0) at rpc_client/rpc_transport_np.c:402
#7  0x00007f34b18c663c in rpccli_set_timeout (rpc_cli=0x0, timeout=35000) at rpc_client/cli_pipe.c:2955
#8  0x00007f34b1677ce5 in winbindd_lookup_names (mem_ctx=0x7f34b20e9c80, domain=0x7f34b2070f30, num_names=1, names=0x7fffb9dd4ea8, domains=0x0, sids=0x7fffb9dd4eb8,
    types=0x7fffb9dd4eb0) at winbindd/winbindd_rpc.c:1287
#9  0x00007f34b1674af2 in msrpc_name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, original_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_rpc.c:311
#10 0x00007f34b16781a1 in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_reconnect.c:94
#11 0x00007f34b167a5db in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_ads.c:413
#12 0x00007f34b165121e in name_to_sid (domain=0x7f34b2070f30, mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_cache.c:1655
#13 0x00007f34b1649584 in winbindd_lookup_sid_by_name (mem_ctx=0x7f34b20e9c80, orig_cmd=WINBINDD_LOOKUPNAME, domain=0x7f34b2070f30, domain_name=0x7fffb9dd56a8 "W2K8SP2-L3",
    name=0x7fffb9dd57a8 "administrator", sid=0x7fffb9dd5270, type=0x7fffb9dd52dc) at winbindd/winbindd_util.c:1035
#14 0x00007f34b168806e in winbindd_dual_lookupname (domain=0x7f34b2070f30, state=0x7fffb9dd5510) at winbindd/winbindd_async.c:445
#15 0x00007f34b1682794 in child_process_request (child=0x7f34b20714b8, state=0x7fffb9dd5510) at winbindd/winbindd_dual.c:453
#16 0x00007f34b16862ba in fork_domain_child (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:1456
#17 0x00007f34b1682271 in schedule_async_request (child=0x7f34b20714b8) at winbindd/winbindd_dual.c:314
#18 0x00007f34b1681a1b in async_request (mem_ctx=0x7f34b2054da0, child=0x7f34b20714b8, request=0x7f34b209d890, response=0x7f34b209e120,
    continuation=0x7f34b16487d2 <init_child_recv>, private_data=0x7f34b2023b30) at winbindd/winbindd_dual.c:145
#19 0x00007f34b16485c7 in init_child_connection (domain=0x7f34b2070f30, continuation=0x7f34b168245d <domain_init_recv>, private_data=0x7f34b202bcf0)
    at winbindd/winbindd_util.c:627
#20 0x00007f34b168245b in async_domain_request (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7f34b209c248, response=0x7f34b209ca78,
    continuation=0x7f34b16866c2 <do_async_recv>, private_data_data=0x7f34b209c240) at winbindd/winbindd_dual.c:378
#21 0x00007f34b1686a35 in do_async_domain (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, request=0x7fffb9dd6db0, cont=0x7f34b16880b6 <listent_recv>, c=0x7f34b1668603,
    private_data=0x7f34b2065970) at winbindd/winbindd_async.c:110
#22 0x00007f34b16882b4 in winbindd_listent_async (mem_ctx=0x7f34b2054e90, domain=0x7f34b2070f30, cont=0x7f34b1668603 <listent_recv>, private_data=0x7f34b2065970,
    type=LIST_USERS) at winbindd/winbindd_async.c:491
#23 0x00007f34b16685eb in winbindd_list_ent (state=0x7f34b2096840, type=LIST_USERS) at winbindd/winbindd_misc.c:174
#24 0x00007f34b163eecf in winbindd_list_users (state=0x7f34b2096840) at winbindd/winbindd_user.c:873
#25 0x00007f34b1638e27 in process_request (state=0x7f34b2096840) at winbindd/winbindd.c:538
#26 0x00007f34b1639db8 in request_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:811
#27 0x00007f34b1639b69 in request_main_recv (private_data=0x7f34b2096840, success=true) at winbindd/winbindd.c:772
#28 0x00007f34b16393b5 in rw_callback (event=0x7f34b2096858, flags=1) at winbindd/winbindd.c:621
#29 0x00007f34b163a92e in process_loop () at winbindd/winbindd.c:1103
#30 0x00007f34b163b749 in main (argc=2, argv=0x7fffb9dd7c08, envp=0x7fffb9dd7c20) at winbindd/winbindd.c:1426
(gdb) q
The program is running.  Quit anyway (and detach it)? (y or n) y
Detaching from program: /home/metze/devel/samba/3.X/v 3-X-wb-ndr/source3/bin/winbindd, process 12013


when using
LD_LIBRARY_PATH=bin bin/wbinfo -n 'W2K8SP2-L3\administrator'

Any ideas?

metzee
Comment 6 Guenther Deschner 2009-09-24 09:45:31 UTC
(In reply to comment #5)
> Any ideas?
> 
> metze

Yes, I once saw this as well. I think that there is a race condition when the samr connect fails (no way to get samr working) and as a final result of that samr connect failure winbind invalidates all other pipes (via invalidate_cm_connection()).
Comment 7 Volker Lendecke 2009-09-25 08:35:30 UTC
Comment on attachment 4731 [details]
patch for 3.4

All this looks clean and logical to me. I haven't tested this, but I would nevertheless vote to get it in.
Comment 8 Guenther Deschner 2009-09-25 08:41:43 UTC
Comment on attachment 4734 [details]
additional patch for 3.4

fine, needs to be added as well. Thanks.
Comment 9 Stefan Metzmacher 2009-09-25 13:02:36 UTC
Created attachment 4746 [details]
more fixes for v3-4

Here are some more fixes.

I'm not sure if the signal handler fixes and the don't write to a closed
socket fixes are needed, but they solve a problem I hit while testing.

metze
Comment 10 Volker Lendecke 2009-09-28 02:56:29 UTC
Comment on attachment 4746 [details]
more fixes for v3-4

Is the piece to not fragment in developer mode really necessary for the release? How many people will actually ship RPMs with developer mode enabled? Does this really cause that many problems in our shipped versions that it needs to be picked into 3.4.2?

Volker
Comment 11 Stefan Metzmacher 2009-09-30 05:11:38 UTC
Hi Volker,

it will not cause problems with RPMs, but it causes problems if developers want to reproduce bugs and use ./configure.developer in the v3-4-test branch...
and need to debug the random failures instead of the real problem.

metze
Comment 12 Guenther Deschner 2009-10-01 07:53:58 UTC
Comment on attachment 4746 [details]
more fixes for v3-4

yep, these we need. thanks.
Comment 13 Guenther Deschner 2009-10-05 11:27:14 UTC
Created attachment 4784 [details]
patch for 3.3

This is the patchset for 3-3-test, might still need the ones from metze as well.
Comment 14 Guenther Deschner 2009-10-06 04:18:40 UTC
Created attachment 4788 [details]
revised version of that patch for 3.3

Old patch was not working, this one is tested.
Comment 15 Karolin Seeger 2009-10-07 01:50:30 UTC
Metze, is there a chance to review the patch for 3.3 today/tomorrow morning?
Otherwise, we should delay 3.3.9, right?
Comment 16 Stefan Metzmacher 2009-10-07 02:31:04 UTC
Comment on attachment 4788 [details]
revised version of that patch for 3.3

Looks good, but I think we also need some of my patches too. Günther knows which ones:-)

metze
Comment 17 Guenther Deschner 2009-10-07 10:25:18 UTC
Created attachment 4800 [details]
two from metzes fixes for 3-3-teset
Comment 18 Stefan Metzmacher 2009-10-07 10:35:01 UTC
Comment on attachment 4800 [details]
two from metzes fixes for 3-3-teset

thanks!
Comment 19 Karolin Seeger 2009-10-08 02:41:32 UTC
Pushed to v3-3-test and v3-4-test.
Closing out bug report.

Thanks, Günther and Metze! Great work!
Comment 20 Diego Remolina 2009-10-15 05:48:13 UTC
I have observed a problem where Windows 7 clients joined into a Samba domain work for around a month and then after that time, (I assume when machine passwords are changed), I can no longer log into the machine using domain accounts. The error message in the client login window is that the Trust relationship with the domain could not be found or something similar.

Does this patch fixes this issue with Windows 7 clients joined into a samba domain?